# Class ChannelCryptoDto | EchoHub Documentation
Public crypto metadata for a channel — enough for a client to derive its join credential from a passphrase. Never includes the wrapped room key.

# Class ChannelCryptoDto

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

Public crypto metadata for a channel — enough for a client to derive its join credential from a passphrase. Never includes the wrapped room key.

    public record ChannelCryptoDto : IEquatable<ChannelCryptoDto>

Inheritance
  object
  ChannelCryptoDto

Implements
  IEquatable<ChannelCryptoDto>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ChannelCryptoDto(ChannelCryptoDto)

    protected ChannelCryptoDto(ChannelCryptoDto original)

#### Parameters

`original` ChannelCryptoDto

### ChannelCryptoDto(bool, string?)

Public crypto metadata for a channel — enough for a client to derive its join credential from a passphrase. Never includes the wrapped room key.

    public ChannelCryptoDto(bool IsEncrypted, string? EncryptionSalt)

#### Parameters

`IsEncrypted` bool
`EncryptionSalt` string

## Properties

### EncryptionSalt

    public string? EncryptionSalt { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### IsEncrypted

    public bool IsEncrypted { get; init; }

#### Property Value

bool

## Methods

### Deconstruct(out bool, out string?)

    public void Deconstruct(out bool IsEncrypted, out string? EncryptionSalt)

#### Parameters

`IsEncrypted` bool
`EncryptionSalt` string

### Equals(ChannelCryptoDto?)

    public virtual bool Equals(ChannelCryptoDto? other)

#### Parameters

`other` ChannelCryptoDto

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ChannelCryptoDto?, ChannelCryptoDto?)

    public static bool operator ==(ChannelCryptoDto? left, ChannelCryptoDto? right)

#### Parameters

`left` ChannelCryptoDto
`right` ChannelCryptoDto

#### Returns

bool

### operator !=(ChannelCryptoDto?, ChannelCryptoDto?)

    public static bool operator !=(ChannelCryptoDto? left, ChannelCryptoDto? right)

#### Parameters

`left` ChannelCryptoDto
`right` ChannelCryptoDto

#### Returns

bool